#include <stdio.h>

int main() {
    int arr[3] = {1, 1, 1};
    while(1) {
        int max = 0, sum = 0, isTri;
        for(int i=0; i<3; i++) {
            scanf("%d",&arr[i]);
            sum += arr[i];
            if(max<arr[i]) {
                max = arr[i];
            }
        }

        if(arr[0]==0 && arr[1]==0 && arr[2]==0) break;

        sum -= max;
        isTri = sum > max ? 1 : 0;

        if(isTri) {
            if(arr[0]==arr[1] && arr[1]==arr[2]) {
                printf("Equilateral\n");
            }
            else if(arr[0]==arr[1] || arr[0]==arr[2] || arr[1]==arr[2]) {
                printf("Isosceles\n");
            }
            else {
                printf("Scalene\n");
            }
        }
        else {
            printf("Invalid\n");
        }
    }

    return 0;
}